Unit tde16e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE16E_p, DE16E_p;

function tde16e: String;

implementation

function tde16e: String;
var
M,_i,IERR :Integer;
XN,XK,HMIN,EPS,P,H,Y1,Y2 :Extended;
YN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
RAB :Array [0..12] of Extended;
begin
Result := '';  {   }
M := 2;
XN := 0.e0;
YN[0] := 1.e0;
YN[1] := -2.e0;
XK := 3.141592653589793e0;
HMIN := 1.e-14;
EPS := 1.e-8;
P := 100.e0;
H := 0.01e0;
DE16E(FDE16E,M,XN,YN,XK,HMIN,EPS,P,H,Y,RAB,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
Y1 := 0.1e0*XK+Sin(XK)+1.e0;
Y2 := -0.1e0*XK-Cos(XK)-1.e0;
Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
UtRes('tde16e',Result);  {     tde16e.res }
exit;
end;

end.
